{"title":"Update customerReturnReasons","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customerreturnreason_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerreturnreason_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerreturnreason_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Updates a  customer return reason object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":80,"chars":222},{"level":2,"title":"Request headers","slug":"request-headers","at":302,"chars":284},{"level":2,"title":"Request body","slug":"request-body","at":586,"chars":339},{"level":2,"title":"Response","slug":"response","at":925,"chars":141},{"level":2,"title":"Example","slug":"example","at":1066,"chars":449},{"level":2,"title":"Related information","slug":"related-information","at":1515,"chars":276}],"text":"Updates the properties of a customer return reason object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({id})/customerReturnReasons({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the customerReturnReason, the customer return reason won't be updated.\n## Request body\nIn the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an updated customerReturnReason object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v2.0/companies({id})/customerReturnReasons({id})\nContent-type: application/json\n{\n  \"description\": \"Wrong item variant\"\n}\n```\nResponse\nHere's an example of the response.\n```json\nHTTP/1.1 200 OK\nContent-type: application/json\n{\n    \"id\": \"6ea22bf6-a449-ee11-ad0b-a1422c0f7f1f\",\n    \"code\": \"VARIANT\",\n    \"description\": \"Wrong item variant\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_customerreturnreason\ndynamics_customerreturnreason_get\ndynamics_customerreturnreason_delete\nPOST customerReturnReason<dynamics_customerreturnreason_create>"}